<!DOCTYPE html>
<html>
<head>
<meta charset="ISO-8859-1">
<title>Variant List</title>
<link rel="stylesheet" th:href="@{/bootstrap/css/bootstrap.min.css}">
<link rel="stylesheet" th:href="@{/css/jquery.dataTables.min.css}">
<script th:src="@{/jquery.min.js}"></script>
<script th:src="@{/js/jquery.dataTables.min.js}"></script>
<script th:src="@{/bootstrap/js/bootstrap.min.js}"></script>
<style>
	html{
		margin:25px;
	}
</style>
</head>
<body background="/background-pictures-8.jpg">


<div class="modal fade" id="mymodal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="modaltitle"></h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body" id="modalbody">
        ...
      </div>
    </div>
  </div>
</div>

<table class="display" id="mytable" style="width:100%">
        <thead>
            <tr>
                <th>Variant ID</th>
                <th>Name</th>
                <th>Category ID</th>
                <th>Action</th>
                <th>Action</th>
            </tr>
        </thead>
        <tbody>
            <tr th:each="item : ${variant}">
            <td th:text="${item.Variant_Id}"></td>
			<td th:text="${item.Variant_Name}"></td>
			<td th:text="${item.Category_Id}" align="center"></td>
			<td><button th:value="${item.Variant_Id}" onclick="gotoedit(this.value)">Edit</button></td>
			<td><button th:value="${item.Variant_Id}" onclick="gotodelete(this.value)">Delete</button></td>
			</tr>
		</tbody>
</table>
<button type="button" class="btn btn-primary" onclick="addform()" style="margin-left:500px;">Tambah Data</button>
<script>
$(document).ready(function() {
    $('#mytable').DataTable();
} );

function gotoedit(variant_id){
	$.ajax({
		type:'get',
		url:'/variant/edit/'+variant_id,
		success:function(data){
			document.getElementById('modalbody').innerHTML = data;
			document.getElementById('modaltitle').innerHTML = "Form Ubah Data"
			$('#mymodal').modal();
		}
	})
}
function gotodelete(variant_id){
	$.ajax({
		type:'get',
		url:'/variant/delete/'+variant_id,
		success:function(data){
			document.getElementById('modalbody').innerHTML = data;
			document.getElementById('modaltitle').innerHTML = "Form Hapus Data"
			$('#mymodal').modal();
		}
	})
}
function addform(){
	console.log("here");
	$.ajax({
		type:'get',
		url:'/variant/form',
		success:function(data){
			document.getElementById('modalbody').innerHTML = data;
			document.getElementById('modaltitle').innerHTML = "Form Tambah Data"
			$('#mymodal').modal();
		}
	})
}
</script>
</body>
</html>